STRTREXPAND(3pub)

NAME
strtrexpand - expand tr-like notation in string

SYNOPSIS
#include <publib.h>
void strtrexpand(char *tgt, const char *src);

DESCRIPTION
strtrexpand will convert shorthand notation similar to that used by tr(1) into the equivalent longhand notation. The supported short forms are:

a-b All characters from a to b, inclusive, in the order given by their character codes.

\a  The character a.

\o \oo \ooo
    Character with octal code o, oo, or ooo, respectively.

RETURN VALUE
strtrexpand returns nothing.

SEE ALSO
publib(3), tr(1)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)